#ifndef TILE_BASE_CONFIG_CONFIGURABLE_H
#define TILE_BASE_CONFIG_CONFIGURABLE_H

#pragma once
#include "tile/base/slice.h"

namespace tile {
class Configurable {
    Configurable();
    virtual ~Configurable()                                         = default;
    virtual void SetProperty(const Slice &name, const Slice &value) = 0;
    virtual std::string GetProperty(const Slice &name) const        = 0;
};

}// namespace tile

#endif// TILE_BASE_CONFIG_CONFIGURABLE_H
